import ApiResource from "~/models/ApiResource";
import {Num, Str, Uid} from "pinia-orm/dist/decorators";

/**
 * Ap2i ApiResource : Cotisation
 *
 * @see https://gitlab.2iopenservice.com/opentalent/ap2i/-/blob/develop/src/ApiResources/Cotisation/Cotisation.php
 */
export default class Cotisation extends ApiResource {
    static entity = 'cotisations'

    @Uid()
    declare id: number | string | null

    @Str(null)
    declare alertState: string | null

    @Num(null)
    declare cotisationYear: number | null
}
